h33908
s 00029/00000/00000
d D 1.1 82/08/03 08:42:50 cecily 1 0
e
u
U
t
T
I 1
* C library -- setjmp, longjmp

*	longjmp(a,v)
* will generate a "return(v)" from
* the last call to
*	setjmp(a)
* by restoring the relevant registers from 'a'
* and doing a return.
*
	entry	setjmp,longjmp

r0	equ	0
r1	equ	1
sp	equ	7
rf	equ	15

setjmp	equ	*
	l	r1,0(sp)
	stm	sp,0(r1)
	xr	r0,r0
	br	rf

longjmp	equ	*
	l	r1,0(sp)
	l	r0,adc(sp)	the value to return
	lm	sp,0(r1)
	br	rf

	end
E 1
